<?php
require_once "YchClient.php";
require_once "BaseTest.php";

class TestLogin extends BaseTest {
	
	public function exec() {
		$url = $this->accountHost . "login";
		$params = $this->constructParam();
		$sdk = new YchClient($this->appkey, $this->secret);
		$rsp = $sdk->send($url ,$params);
		$this->parseResult($rsp);
	}
	
	private function constructParam() {
		$params["time"] = $this->defaultParam["time"];
		$params["ati"] = $this->defaultParam["ati"] ;
		$params["userId"] = $this->defaultParam["userId"];
		$params["tid"] = $this->defaultParam["userId"];
		$params["userIp"] = $this->defaultParam["userIp"];
		$params["topAppKey"] = $this->topAppkey;
		$params["appName"] = $this->defaultParam["appName"];
		$params["loginResult"] = "success";
		$params["loginMessage"] = "info";
	
		return $params;
	}
}
?>