<?php
require_once "YchClient.php";
require_once "BaseTest.php";

class TestOrder extends BaseTest {

	public function exec() {
		$url = $this->apiHost . "batchLog";
		$params = $this->constructOrderParam();
		$paramList = array();

		for ($i = 0; $i <= 3; $i++) {
			array_push($paramList, $params);
		}

		$data = json_encode($paramList);
		$paramNew["topAppKey"] = $this->topAppkey;
		$paramNew["data"] = json_encode($paramList);
		$paramNew["method"]  = "order";
		$paramNew["format"]  = "json";
		$paramNew["time"] = $this->defaultParam["time"];

		$sdk = new YchClient($this->appkey, $this->secret);
		$rsp = $sdk->send($url, $paramNew);	
		$this->parseResult($rsp);
	}

	private function constructOrderParam() {
		$params["time"] = $this->defaultParam["time"];
		$params["ati"] = $this->defaultParam["ati"] ;
		$params["userId"] = $this->defaultParam["userId"];
		$params["tid"] = $this->defaultParam["userId"];
		$params["userIp"] = $this->defaultParam["userIp"];
		$params["topAppKey"] = $this->topAppkey;
		$params["appName"] = $this->defaultParam["appName"];
		$params["loginResult"] = "success";
		$params["loginMessage"] = "info";

		return $params;
	}
}
?>